# std::filesystem::file_status::operator=

From cppreference.com
< cpp‎ | filesystem‎ | file status

file_status& operator=( const file_status& other ) = default; | (1) | (since C++17)
file_status& operator=( file_status&& other ) = default; | (2) | (since C++17)

Copy- or move-assigns another file status object.

### Parameters

| This section is incomplete

### Return value

*this

### Exceptions

`noexcept` specification:
noexcept

### Example

| This section is incomplete Reason: no example

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/file_status/operator%3D&oldid=91326"
Categories:

- Todo without reason
- unconditionally noexcept
- Todo no example

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template